$wgUploadNavigationUrl breaks image red links
Closed, ResolvedPublic

Description

Apparently the behavior of the red linked thumbs has changed

http://en.wikipedia.org/w/index.php?title=Rome&oldid=181221673#Universities
Includes an image thumb since deleted. The thumb shows a redlink, leading to: http://en.wikipedia.org/wiki/Wikipedia:Upload?wpDestFile=MinervaSapienza.JPG

wpDestFile is an argument to Special:Upload of course, not Wikipedia:Upload.

Also, a second problem is that for editors it is now impossible to see the file history of that page. It should probably only ever link to the upload interface, if a file by that name did not exist at any point in time. For editors, the description page for that file is very hard to reach now for instance. You have to manually copy paste the image title and navigate there. I also note that the "magnify" icon is not available in these thumbs.


Version: 1.16.x
Severity: major

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz23140.
TheDJ created this task.Via LegacyApr 10 2010, 2:18 PM
bzimport added a comment.Via ConduitApr 11 2010, 9:12 PM

Bryan.TongMinh wrote:

(In reply to comment #0)

Apparently the behavior of the red linked thumbs has changed

See bug 18885. Previously it used to point to local Special:Upload, which was not desirable in all cases. If I recall correctly, the only change is that it now actually follows $wgUploadNavigationUrl. Do you suggest to change this behaviour?

TheDJ added a comment.Via ConduitApr 25 2010, 8:13 PM

Actually what seems to have happened is that Special:Upload no longer shows a warning when a page was deleted. To quote from VP/T

"Up until a week or two ago, whenever I clicked on a deleted image link (i.e. a red link that links to the "File" namespace), it would lead me to WP:UPLOAD as it does now, but below the page's title, there would also be links to deletion logs for the image, on both Wikipedia and the Commons."

Peachey88 added a comment.Via ConduitApr 26 2010, 12:33 AM

Based on comment #2 it sounds like a regression, key-wording as such (+code-update-regression)

bzimport added a comment.Via ConduitApr 29 2010, 9:06 PM

Bryan.TongMinh wrote:

Either 1) the log excerpt should be shown on WP:UPLOAD or 2) wpDesiredDestname should propagate to Special:Upload. I'm not sure what is the proper way to fix this issue.

bzimport added a comment.Via ConduitJun 2 2010, 5:55 PM

garyking wrote:

Instead of going to Wikipedia:Upload, if red linked images went to http://en.wikipedia.org/w/index.php?title=Special:Upload&wpDestFile=Foo.png instead, that would fix the problem, at least on en.wikipedia.org, since http://en.wikipedia.org/wiki/MediaWiki:Uploadtext shows the deletion logs when wpDestFile is set in the URL.

bzimport added a comment.Via ConduitJun 8 2010, 8:52 AM

Bryan.TongMinh wrote:

(In reply to comment #4)

Either 1) the log excerpt should be shown on WP:UPLOAD or 2) wpDesiredDestname
should propagate to Special:Upload. I'm not sure what is the proper way to fix
this issue.

Or we could of course revert and WONTFIND bug 18885.

bzimport added a comment.Via ConduitJul 2 2010, 9:06 PM

conrad.irwin wrote:

Yuck, this is all very messy as there are a lot of conflicting assumptions being made and broken.

Under the assumption that a red link should point you to the place you can make that link blue (or create the image), and the assumption that $wgUploadNavigationUrl points to the page you can upload at, everything is fine. I imagine this is the case almost everywhere.

What this bug seems to assume is that a redlink takes you to the place that a deletion log is visible - which is conveniently enough the same as the place you upload on Wikipedia (but not everywhere? - perhaps that should be fixed also?).

Wikipedia importantly breaks the assumption that $wgUploadNavigationUrl points to a place you can upload - not sure the best way to fix that and still let the upload button at the left hand side work as Wikipedia wants - probably to define yet-another configuration variable specifically for that left-side link (that defaults to $wgUploadNavigationUrl), or create a simple extension/javascript hack that allows wpDestFile to be used on WP:Upload

Krinkle added a comment.Via ConduitJul 20 2010, 11:52 PM

Please read my comment here:
https://bugzilla.wikimedia.org/show_bug.cgi?id=18885#c9

On wmf wikis (and self-hosted wikis aswell, especially when using Commons or when using a step-by-step upload proces such as wikipedia's Wikipedia:Upload and commons' Commons:Upload, the $wgUploadNavigationUrl variable is used for that.

Which is fine, because it's the 'navigation' url. It points to the page where one should navigate to to start a new upload. Which is by default directltly the upload-page. But almost all major wikis have changed this to an inbetween step.

But those links are not for uploading directly, which is what is is been (ab/re)used for since bug 18885.

Read further there.. https://bugzilla.wikimedia.org/show_bug.cgi?id=18885#c9

bzimport added a comment.Via ConduitJul 27 2010, 10:33 AM

Bryan.TongMinh wrote:

Introduced $wgUploadMissingFileUrl in r69997. Once deployed, wikis can decide for themselves what desirable behaviour is.

TheDJ added a comment.Via ConduitMar 1 2012, 9:07 PM

This behavior was again changed for 1.19 by r92598

Gilles added a project: Multimedia.Via WebDec 4 2014, 10:26 AM
Gilles raised the priority of this task from "Normal" to "Unbreak Now!".Via WebDec 4 2014, 10:29 AM
Gilles moved this task to Closed on the Multimedia workboard.
Gilles lowered the priority of this task from "Unbreak Now!" to "Normal".Via ConduitDec 4 2014, 11:22 AM

Add Comment